strip-nondeterminism (1.8.1-2) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * d/control:
    - depend only on libdebhelper-perl, to avoid any chance of a circular
      dependency.
    - bump debhelper compat level to 13.

  [ Holger Levsen ]
  * Install the manpages for all different handlers into the
    libfile-stripnondeterminism-perl package.
  * Drop build-depends on dpkg-dev. dpkg-dev is part of build-essential and
    the version requirement is met in jessie.

 -- Holger Levsen <holger@debian.org>  Sun, 05 Jul 2020 12:00:09 +0200

strip-nondeterminism (1.8.1-1) unstable; urgency=medium

  [ Bernhard M. Wiedemann ]
  * Fix an off-by-one error when parsing PNG modification times.
    (Closes: reproducible-builds/strip-nondeterminism#16)

  [ Chris Lamb ]
  * Add deprecation plans to all handlers documenting how/if they could be
    disabled/removed, etc. (Re: reproducible-builds/strip-nondeterminism#3)

 -- Chris Lamb <lamby@debian.org>  Tue, 26 May 2020 11:34:46 +0100

strip-nondeterminism (1.8.0-1) unstable; urgency=medium

  * Add support for custom .zip filename filtering and exclude two patterns of
    files generated by Maven projects in "fork" mode.
    (Closes: reproducible-builds/strip-nondeterminism#13)

 -- Chris Lamb <lamby@debian.org>  Fri, 17 Apr 2020 11:30:22 +0100

strip-nondeterminism (1.7.0-1) unstable; urgency=medium

  [ Chris Lamb ]
  * Normalise *.sym files as Java archives. (Closes: #956160)

  [ Holger Levsen ]
  * Wrap long lines in changelog entries: 0.025-1, 0.023-1.

 -- Chris Lamb <lamby@debian.org>  Thu, 09 Apr 2020 00:10:34 +0100

strip-nondeterminism (1.6.3-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Holger Levsen ]
  * Bump Standards-Version to 4.5.0.

 -- Holger Levsen <holger@debian.org>  Tue, 21 Jan 2020 12:39:36 +0100

strip-nondeterminism (1.6.3-1) unstable; urgency=medium

  * Add "file" as a dependency for libfile-stripnondeterminism-perl.
    (Closes: #945212)

 -- Chris Lamb <lamby@debian.org>  Fri, 22 Nov 2019 11:46:57 -0500

strip-nondeterminism (1.6.2-1) unstable; urgency=medium

  [ Sven Joachim ]
  * Prefer libdebhelper-perl over debhelper to break the circular dependency
    between debhelper and dh-strip-nondeterminism. (Closes: #939720)

  [ Chris Lamb ]
  * Move away from deprecated ADTTMP variable.

 -- Chris Lamb <lamby@debian.org>  Fri, 01 Nov 2019 10:55:52 -0700

strip-nondeterminism (1.6.1-1) unstable; urgency=medium

  * Drop the t/fixtures/zip/bug_803503.zip test fixtures as they are no longer
    compatible with Archive::Zip >= 1.66. Thanks to gregor herrmann for liasing
    on this issue with upstream. (Closes: #940973)
  * Bump debhelper compat level to 12.
  * Bump Standards-Version to 4.4.1.

 -- Chris Lamb <lamby@debian.org>  Tue, 15 Oct 2019 12:56:45 -0700

strip-nondeterminism (1.6.0-1) unstable; urgency=medium

  [ Marc Herbert ]
  * GNU ar handler (ar.pm):
    - Don't corrupt the pseudo-filemode of the symbols table '/'.
    - Add test files for symtab ('/') and long names ('//').
    - Stop corrupting the SystemV/GNU table of long filenames.
  * Add new $File::StripNondeterminism::verbose global and, if enabled, tell
    the user that GNU ar could not set the symbol table's mtime.

  [ Chris Lamb ]
  * Drop warning emitted on every fixture-based test.

 -- Chris Lamb <lamby@debian.org>  Sat, 07 Sep 2019 11:06:39 +0100

strip-nondeterminism (1.5.0-1) unstable; urgency=medium

  * Add support for enabling and disabling specific normalizers via the command
    line. (Closes: reproducible-builds/strip-nondeterminism#10)
  * In verbose mode, print the normalizers that are enabled.
  * Re-introduce the .ar normalizer, but disable it by default so that it can
    be specifically enabled with "--normalizers=+ar".

 -- Chris Lamb <lamby@debian.org>  Wed, 14 Aug 2019 13:30:35 -0700

strip-nondeterminism (1.4.0-1) unstable; urgency=medium

  * Support OpenJDK ".jmod" files. Thanks to Emmanuel Bourg for the bug report
    and implementation idea. (Closes: #933337)

 -- Chris Lamb <lamby@debian.org>  Tue, 30 Jul 2019 09:34:38 -0300

strip-nondeterminism (1.3.0-1) unstable; urgency=medium

  * Pass --no-sandbox if necessary to bypass seccomp-enabled version of
    file(1) which was causing a large number of regressions in our testing
    framework, etfc. (re. #932006)
  * Don't build release tags in GitLab CI.

 -- Chris Lamb <lamby@debian.org>  Mon, 22 Jul 2019 11:50:15 -0300

strip-nondeterminism (1.2.3-1) unstable; urgency=medium

  * Don't just run the tests but build the Debian package instead using Salsa's
    centralised scripts so that we get code coverage, Lintian, autopkgtests,
    etc.
  * Drop misleading MANIFEST and MANIFEST.SKIP files as they are not used by
    our release processes.
  * Update debian/gbp.conf after merge of 'debian' branch.

 -- Chris Lamb <lamby@debian.org>  Thu, 18 Jul 2019 10:05:14 -0300

strip-nondeterminism (1.2.2-1) unstable; urgency=medium

  * Actually replace all instances of libmonkey-patch-perl with
    libsub-override-perl (re. #931730)
  * Update gitlab-ci.yml:
    - No need to specify not building the "debian" branch; it has no
      build configuration file.
    - Don't build (release) tags.

 -- Chris Lamb <lamby@debian.org>  Mon, 15 Jul 2019 10:41:41 -0300

strip-nondeterminism (1.2.1-1) unstable; urgency=medium

  [ Niko Tyni ]
  * Use Sub::Override for Archive::Zip workarounds instead of Monkey::Patch
    (see reproducible-builds/strip-nondeterminism#8 for more information).
    (Closes: #931730)

  [ Chris Lamb ]
  * Add a ".gitlab-ci.yml" to automatically run the testsuite on
    salsa.debian.org.

 -- Chris Lamb <lamby@debian.org>  Mon, 15 Jul 2019 10:31:13 -0300

strip-nondeterminism (1.2.0-2) unstable; urgency=medium

  * Bump standards version to 4.4.0, no changes needed.
  * Source only upload to match bullseye release requirements.

 -- Holger Levsen <holger@debian.org>  Mon, 08 Jul 2019 15:56:01 +0200

strip-nondeterminism (1.2.0-1) unstable; urgency=medium

  * Upload to unstable now that buster has been released.
  * Support timestamp clamping of "tIME" chunks in .png files.
    (Closes: #931039)
  * Identify data files from the COmmon Data Access (CODA) framework
    as being .zip files.

 -- Chris Lamb <lamby@debian.org>  Sun, 07 Jul 2019 11:45:14 -0300

strip-nondeterminism (1.1.3-1) experimental; urgency=medium

  * Workaround Archive::Zip's incorrect handling of the localExtraField field
    by monkey-patching the accessor methods to always return normalised values.
    This fixes the normalisation of Unix ownership (uid/gid) within .zip
    archives, .epub files, etc.
    (Closes: #858431, reproducible-builds/strip-nondeterminism#4)
  * Check the return status from Archive::Zip when writing file to disk.
  * Catch an edgecase where/if we can't parse the provided length of an
    invalid field within .zip files.

 -- Chris Lamb <lamby@debian.org>  Sun, 28 Apr 2019 17:30:27 +0100

strip-nondeterminism (1.1.2-1) unstable; urgency=medium

  * Call file(1) with the "--" argument placeholder to fix normalisation of
    files starting with a hyphen.
    (Closes: reproducible-builds/strip-nondeterminism#6, #924407)

 -- Chris Lamb <lamby@debian.org>  Tue, 12 Mar 2019 17:47:40 +0000

strip-nondeterminism (1.1.1-1) unstable; urgency=medium

  * dh_strip_nondeterminism: Deduplicate hardlinks via stat(2) to avoid issues
    when processing files in parallel.

    As strip-nondeterminism's handlers are not currently guaranteed to be
    atomic, one process can temporarily truncate a file which can cause errors
    in other threads processing the "same" file under a unique pathname. This
    was causing a FTBFS in packages that deduplicate hardlinks in their build
    process (eg. src:debian-handbook). (Closes: #922168)

 -- Chris Lamb <lamby@debian.org>  Wed, 13 Feb 2019 09:31:59 +0100

strip-nondeterminism (1.1.0-1) unstable; urgency=medium

  [ Holger Levsen ]
  * Bump Standards-Version to 4.3.0

  [ Igor Dvorzhak ]
  * Parallelise dh_strip_nondeterminism script. (MR: !3)

 -- Chris Lamb <lamby@debian.org>  Sun, 13 Jan 2019 18:40:42 +0000

strip-nondeterminism (1.0.0-1) unstable; urgency=medium

  * Ignore encrypted .zip files as we can never normalise them.
    (Closes: #852207)
  * Drop .ar handler; binutils is reproducible. (Closes: #781262, #843811)
    - Update debian/copyright to drop reference to ar.pm.
  * Remove javaproperties handler after Emmanuel Bourg's patch was released in
    openjdk-11 11.0.1+13-3. (Closes: #914289)

 -- Chris Lamb <lamby@debian.org>  Thu, 06 Dec 2018 18:13:32 +0100

strip-nondeterminism (0.45.0-1) unstable; urgency=medium

  * Move to SemVer <https://semver.org/> versioning scheme.
  * Catch invalid ZIP "local" field lengths; we were previously inherently
    blindly the value supplied in the ZIP file. Thanks to Daniel Stender for
    the report. (Closes: #803503)

 -- Chris Lamb <lamby@debian.org>  Sun, 11 Nov 2018 17:42:30 +0100

strip-nondeterminism (0.044-1) unstable; urgency=medium

  [ Emmanuel Bourg ]
  * Update the Javadoc handler to handle "dc.created" meta headers too for
    OpenJDK 11. (Closes: #913132)

 -- Chris Lamb <lamby@debian.org>  Wed, 07 Nov 2018 11:17:51 +0000

strip-nondeterminism (0.043-2) unstable; urgency=medium

  * Fix d/watch after the move off alioth.debian.org.
  * Use the new debhelper-compat(=11) notation and drop d/compat.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 13 Oct 2018 13:02:00 +0200

strip-nondeterminism (0.043-1) unstable; urgency=medium

  [ Guillem Jover ]
  * Remove old Date::Parse backwards-compatibility code. (Closes: #910257)

  [ Chris Lamb ]
  * Bump Standards-Version to 4.2.1.
  * debian/rules: Correct spelling/grammar in comment.

 -- Chris Lamb <lamby@debian.org>  Thu, 04 Oct 2018 10:32:11 +0100

strip-nondeterminism (0.042-1) unstable; urgency=medium

  [ Evgueni Souleimanov ]
  * Add missing use statements in bflt and uimage handlers

  [ Chris Lamb ]
  * Respect "nocheck" in DEB_BUILD_OPTIONS.
  * Drop trailing whitespace in debian/changelog.

  [ Mattia Rizzolo ]
  * Update README with updated instructions on how to release the tarball.

 -- Chris Lamb <lamby@debian.org>  Thu, 14 Jun 2018 22:14:21 +0200

strip-nondeterminism (0.041-2) unstable; urgency=medium

  [ Chris Lamb ]
  * Update debian/copyright "Source" location to point to salsa.
  * Update Vcs-{Git,Browser} as repository has been migrated to salsa.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jun 2018 13:25:51 +0000

strip-nondeterminism (0.041-1) unstable; urgency=medium

  [ Chris Lamb ]
  * Drop PHP Pear registry support; we can fix this in the toolchain instead.
  * debian/copyright: Use HTTPS URI.
  * Bump Standards-Version to 4.1.4.
  * Bump debhelper compatibility level to 11.

  [ Evgueni Souleimanov ]
  * Add U-Boot Legacy Image (uImage) format support
  * Add bFLT executable format support

 -- Chris Lamb <lamby@debian.org>  Sat, 14 Apr 2018 19:51:14 +0100

strip-nondeterminism (0.040-1) unstable; urgency=medium

  * In the png handler, don't open the original file in write mode.
    Otherwise it dies when dealing with an unwritable (e.g. 444 or 555) file
    that would otherwise be processed perfectly.
  * debian/upstream/signing-key.asc: add my gpg key.
  * debian/control: declare that strip-nondeterminism doesn't need root to
    build.  Rules-Requires-Root: no

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 29 Oct 2017 16:42:39 +0100

strip-nondeterminism (0.039-1) unstable; urgency=medium

  [ Chris Lamb ]
  * Clojure considers the .class file to be stale if it shares the same
    timestamp of the .clj. We thus adjust the timestamps of the .clj to always
    be younger. (Closes: #877418)
    - {jar,zip}.pm: Allow $options{member_normalizer} callback to support
      specifying the timestamp.
    - zip.pm: Calculate the target canonical time in just one place.
    * zip.pm: Ensure that we don't try and write an old timestamp;
      Archive::Zip will do this anyway, just noisily.
  * dh_strip_nondeterminism: Log which handler processed a file.
    (Closes: #876140)
  * bin/strip-nondeterminism: Print a warning in --verbose mode if no
    canonical time specified.
  * debian/watch: Use HTTPS URI.

  [ Holger Levsen ]
  * Bump Standards-Version to 4.1.1, no changes needed.

 -- Chris Lamb <lamby@debian.org>  Fri, 20 Oct 2017 09:11:36 -0400

strip-nondeterminism (0.038-1) unstable; urgency=medium

  [ Niels Thykier ]
  * Add missing use statements in handler modules. This is yet more fallout
    from lazily-loading the handlers in #867982. Thanks to Christian Marillat
    for the report. (Closes: #868111)

 -- Chris Lamb <lamby@debian.org>  Wed, 12 Jul 2017 09:04:11 +0100

strip-nondeterminism (0.037-1) unstable; urgency=medium

  * Add missing File::Temp imports in JAR and PNG handlers. This appears to
    have been exposed by lazily-loading handlers in #867982. Thanks to Paul
    Gevers for the report. (Closes: #868077)

 -- Chris Lamb <lamby@debian.org>  Tue, 11 Jul 2017 21:37:09 +0100

strip-nondeterminism (0.036-1) unstable; urgency=medium

  [ Niels Thykier ]
  * File::StripNondeterminism:
    + Optimize load times of File::StripNondeterminism.
      dh_strip-nondeterminism was accounting for ~4.5% of the total runtime
      for a (mostly) no-op dh package build. This cost applied even to
      packages for which dh_strip-nondeterminism did not normalise any files.
      (Closes: #867982)
    + Apply perltidy.
  * dh_strip_nondeterminism: Don't assume tmpdir() exists. This will become
    more relevant for Debhelper compat level 11's `dh_auto_install` which will
    only create destination directories it needs. (Closes: #868064)

 -- Chris Lamb <lamby@debian.org>  Tue, 11 Jul 2017 19:41:39 +0100

strip-nondeterminism (0.035-2) unstable; urgency=medium

  [ Chris Lamb ]
  * Bump Standards-Version to 4.0.0.

  [ Mattia Rizzolo ]
  * Add libarchive-cpio-perl to libfile-stripnondeterminism-perl's Recommends.
  * debian/tests:
    + Move the autopkgtest command to a separate script.
    + Require libarchive-cpio-perl when running autopkgtest;
      fixes autopkgtest failure due to missing Archive::Cpio.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 23 Jun 2017 09:56:46 +0200

strip-nondeterminism (0.035-1) unstable; urgency=medium

  [ Bernhard M. Wiedemann ]
  * Add CPIO handler and test case.

  [ Chris Lamb ]
  * Add libarchive-cpio-perl with the !nocheck build profile; it is not a hard
    runtime requirement.
    - Add dpkg-dev dependency for build profile.
  * Bump debhelper compatibility level to 10.

 -- Chris Lamb <lamby@debian.org>  Mon, 19 Jun 2017 06:21:49 +0800

strip-nondeterminism (0.034-1) unstable; urgency=medium

  [ Chris Lamb ]
  * Only print log messages by default if the file was actually modified
    rather than if we merely identified a file (see 0.033-1). This was not
    only noisy in-of itself and somewhat misleading, it moreover defeated the
    point of adding these log messages in the first place - ie. identifying
    normalizers we can start to remove from strip-nondeterminism.
    (Closes: #863033)

  [ Bernhard M. Wiedemann ]
  * zip: make sure we have permissions on extracted file
  * Add function prototypes.

 -- Chris Lamb <lamby@debian.org>  Sat, 20 May 2017 15:19:52 +0200

strip-nondeterminism (0.033-2) unstable; urgency=medium

  * Correct temmporary -> temporary typo in package long description. Thanks
    to Niels Thykier (nthykier).

 -- Chris Lamb <lamby@debian.org>  Mon, 08 May 2017 11:52:36 +0200

strip-nondeterminism (0.033-1) unstable; urgency=medium

  [ Chris Lamb ]
  * Move from verbose_print to nonquiet_print so we print when normalising a
    file. This is so we can start to target the removal of
    strip-nondeterminism itself. (Closes: #862031)
  * Update package long descriptions to clarify that this tool is a temporary
    workaround. (Closes: #862029)
  * Include the filename when testing failure fixtures.

  [ Bernhard M. Wiedemann ]
  * Only call get_normalizer_by_name once
  * Make get_normalizer_by_name O(1)

 -- Chris Lamb <lamby@debian.org>  Sun, 07 May 2017 19:32:19 +0200

strip-nondeterminism (0.032-1) unstable; urgency=medium

  * Add support for testing files we should reject.
  * Fix a possible endless loop while stripping ar files due to trusting the
    file's file size data. Thanks to Tobias Stoeckmann (tobias@stoeckmann.org)
    for the report, patch and testcase. (Closes: #857975)

 -- Chris Lamb <lamby@debian.org>  Fri, 17 Mar 2017 09:25:53 +0100

strip-nondeterminism (0.031-1) unstable; urgency=medium

  * Don't test for stat(2) blksize and blocks; they are filesystem-specific and
    we are already checking the pre- and post-processing contents anyway.
    (Closes: #854937)

 -- Chris Lamb <lamby@debian.org>  Mon, 13 Feb 2017 17:41:27 +1300

strip-nondeterminism (0.030-1) unstable; urgency=medium

  * Print log entry when fixing a file. (Closes: #777239)
  * Run our entire testsuite in autopkgtests; `perl -MExtUtils::Command::MM
    -MTest::Harness` was ignoring all but the first argument. (Closes: #852517)
  * Use error() from Dh_Lib.pm over manual die().
  * Add watch file with cryptographic signature verification.
  * Add documentation regarding uploading a signed tarball.
  * Add myself to AUTHORS and debian/copyright.

 -- Chris Lamb <lamby@debian.org>  Thu, 09 Feb 2017 22:11:16 +1300

strip-nondeterminism (0.029-2) unstable; urgency=medium

  [ Chris Lamb ]
  * debian/tests/control: Also copy our binaries as they are used in the tests.
    Closes: #849391

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 27 Dec 2016 13:54:57 +0100

strip-nondeterminism (0.029-1) unstable; urgency=medium

  [ Chris Lamb ]
  * t/binaries.t:
    - Don't make tests rely on Debian::Debhelper::Dh_Lib for non-Debian
      distributions.
    - Smoke test strip-nondeterminism(1) and dh_strip_nondeterminism(1) to
      prevent regressions like a3c16cd08.
  * Makefile.PL: Change "NAME" argument to a Perl package name.
  * .pertidyrc: Inherit/copy from lintian's version but using tabs over spaces.
  * Run perltidy across codebase.

  [ Reiner Herrmann ]
  * zip: normalize NTFS FIleTimes. (Closes: #845203)

  [ Anders Kaseorg ]
  * libfile-stripnondeterminism-perl: Treat .par files as Zip archives.
    (Closes: #846895)

 -- Chris Lamb <lamby@debian.org>  Thu, 22 Dec 2016 10:55:20 +0000

strip-nondeterminism (0.028-1) unstable; urgency=medium

  * bin/strip-nondeterminism: Add missing semicolon.

 -- Chris Lamb <lamby@debian.org>  Mon, 12 Sep 2016 09:06:01 +0100

strip-nondeterminism (0.027-1) unstable; urgency=medium

  * Add a File::StripNondeterminism::init method to avoid tzset DRY violation.
    - Also set timezone in tests. (Closes: #837382)

 -- Chris Lamb <lamby@debian.org>  Sun, 11 Sep 2016 23:10:35 +0100

strip-nondeterminism (0.026-1) unstable; urgency=medium

  * handlers/jar.pm: Reintroduce subroutine prototype on _jar_filename_cmp to
    fix ordering regression in .jar files.
  * Add a testcase for jar file ordering and normalisation.
  * bin/strip-nondeterminism: die if file does not exist (Closes: #800159)
  * debian/rules:
    - No need for -make hack as we'll have Makefile during package build.
      (Closes: #836732)
    - Update clean target to avoid FTBFS twice in a row.
  * Add Homepage field.
  * t/fixtures.t:
    - Add a lookup table for descriptions of stat(1) indices.
    - Don't test whether inode number has changed.
    - Check that output matches expected before comparing attributes to make it
      less confusing on failure.
    - Re-add top-level "plan" call dropped in 0.024-1.
    - Add comment why we use a per-fixture temporary directory.
    - Re-order @fixtures setup for global->specific ordering.

 -- Chris Lamb <lamby@debian.org>  Fri, 09 Sep 2016 11:02:04 +0100

strip-nondeterminism (0.025-1) unstable; urgency=medium

  * Drop all calls to unlink_on_destroy now that we copy the file.
    (Closes: #836670)
    - Extend testsuite to ensure no extra files are leftover again.

 -- Chris Lamb <lamby@debian.org>  Sun, 04 Sep 2016 17:43:00 +0100

strip-nondeterminism (0.024-1) unstable; urgency=medium

  [ Chris Lamb ]
  * Print test coverage report.
  * jar.pm: Drop unnecessary subroutine prototypes.
  * {ar,zip}.pm: Explicitly use oct(..) for integers with leading zeroes.
  * {jar,png,zip}: Ensure subroutines end with return statement.
  * zip.pm:
    - Use block form of grep over expression form.
    - zip.pm: Don't mix high and low-precedence booleans.

  [ AYANOKOUZI, Ryuunosuke ]
  * Preserve file attribute information of target file. (Closes: #836075)

 -- Chris Lamb <lamby@debian.org>  Sat, 03 Sep 2016 20:06:37 +0100

strip-nondeterminism (0.023-2) unstable; urgency=medium

  * Allow stderr in autopkgtest.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 23 Aug 2016 14:40:49 +0000

strip-nondeterminism (0.023-1) unstable; urgency=medium

  * Support Android .apk files with the JAR normalizer.
  * handlers/png.pm: Drop unused Archive::Zip import
  * Remove hyphen from non-determinism and non-deterministic.
  * javaproperties.pm: Match more styles of .properties and loosen filename
    matching.
  * Improve tests:
    - Make fixture runner generic to all normalizer types.
    - Replace (single) pearregistry test with a fixture.
    - Set a canonical time for fixture tests.
    - Add gzip testcase fixture.
    - Replace t/javadoc.t with fixture
    - Replace t/ar.t with a fixture.
    - t/javaproperties: move pom.properties and version.properties tests to
      fixtures
    - t/fixtures.t: move to using subtests
    - t/fixtures.t: Explicitly test that we can find a normalizer
    - t/fixtures.t: Don't run normalizer if we didn't find one.

 -- Chris Lamb <lamby@debian.org>  Mon, 22 Aug 2016 23:36:15 +0100

strip-nondeterminism (0.022-1) unstable; urgency=medium

  * handlers/png: Keep IEND detection. This was a regression from 0.020-1.
    Thanks to James Cowgill (jcowgill). (Closes: #832306)
    - Add regression testcase for IEND/PNG issue from #802057.
  * handlers/png: Wrap $type in single quotes in warnings at the very least.
  * handlers/png: Warn if file contains garbage after IEND header.

 -- Chris Lamb <lamby@debian.org>  Sun, 24 Jul 2016 15:33:29 +0100

strip-nondeterminism (0.021-1) unstable; urgency=medium

  * Fix PNG handling caused by double-read(2). (Closes: #832306)
  * Unlink tempfile in the correct scope.
  * Standardise on $modified over $changed.
  * handlers/ar.pm: Normalise whitespace
  * handlers/png.pm: Ensure $modified is always defined.
  * Add test fixtures for PNG handler.
  * Add a PNG test that strips a teXT chunk

 -- Chris Lamb <lamby@debian.org>  Sun, 24 Jul 2016 12:57:12 +0100

strip-nondeterminism (0.020-1) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * Run the upstream testsuite in an autopkgtest

  [ Chris Lamb ]
  * .zhfst files are also ZIP files
  * Improve readability in PNG handler by not including IEND detection in "else"
  * Don't trust the value of $len in PNG handler. (Closes: #831443)
  * Include CRC when reading potential PNG blocks
  * Rewrite PNG handler to support bailing out on invalid header lengths
  * Correct the max number of bytes we read when copying PNG chunk data
  * Release 0.020

 -- Chris Lamb <lamby@debian.org>  Sat, 23 Jul 2016 19:41:59 +0100

strip-nondeterminism (0.019-1) unstable; urgency=medium

  * New upstream release:
    - Recursively normalize JAR files embedded within JAR files
      (Closes: #823917)
    - Add framework for "clamping" the timestamp
    - Add timestamp clamping support to gzip handler

 -- Andrew Ayer <agwa@andrewayer.name>  Thu, 09 Jun 2016 21:17:19 -0700

strip-nondeterminism (0.018-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Mark dh-strip-nondeterminism and strip-nondeterminism Multi-Arch: foreign
    (Closes: #826700)

 -- Andrew Ayer <agwa@andrewayer.name>  Tue, 07 Jun 2016 21:37:25 -0700

strip-nondeterminism (0.018-1) unstable; urgency=medium

  * New upstream release:
    - Fix support for epub files.  (Holger Levsen)

  [ Mattia Rizzolo ]
  * Add myself to uploaders.
  * Run wrap-and-sort -ast.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 30 May 2016 19:05:46 +0000

strip-nondeterminism (0.017-1) unstable; urgency=medium

  * New upstream version:
    - Add support for epub files. (Holger Levsen)
    - Treat *.htb as Zip files. (Sascha Steinbiss)

  [ Holger Levsen ]
  * Bump standards version to 3.9.8, no changes needed.

  [ Andrew Ayer ]
  * debian/rules: explicitly remove Makefile before dh_auto_clean

 -- Holger Levsen <holger@debian.org>  Sat, 28 May 2016 16:10:27 +0200

strip-nondeterminism (0.016-1) unstable; urgency=medium

  [ Reiner Herrmann ]
  * Team upload.
  * New upstream release.
  * Normalize POT-Creation-Date in Gettext GMO files

  [ Holger Levsen ]
  * bump standards version to 3.9.7, no changes needed.
  * debian/control: use /git/ instead /cgit/ in Vcs-Browser
  * debian/control: move packages to correct sections (Closes: #802842, #802843)

  [ Ben Finney ]
  * Update descriptions to better reflect broader reach. (Closes: #802841)

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 27 Feb 2016 20:03:13 +0100

strip-nondeterminism (0.015-1) unstable; urgency=medium

  * New upstream release:
    - jar: ignore signed JAR files (Closes: #807876, #807669)

 -- Andrew Ayer <agwa@andrewayer.name>  Wed, 27 Jan 2016 12:20:26 -0800

strip-nondeterminism (0.014-1) unstable; urgency=medium

  * New upstream release:
    - Disable stripping Mono binaries as it is too aggressive re.  StrongName,
      preventing package installs in a systemwide location (Closes: #804600)
  * Add myself to Uploaders.

 -- Chris Lamb <lamby@debian.org>  Tue, 10 Nov 2015 00:08:28 +0000

strip-nondeterminism (0.013-1) unstable; urgency=medium

  * New upstream release.
    - png: gracefully handle nonconformant PNG files with trailing
      garbage (Closes: #802057)

 -- Andrew Ayer <agwa@andrewayer.name>  Sat, 17 Oct 2015 19:45:44 -0700

strip-nondeterminism (0.012-1) unstable; urgency=medium

  * New upstream release.
    - zip: preserve file permissions. (Closes: #798384)
    - dh_strip_nondeterminism: work around lack of get_source_date_epoch
      in old debhelper. (Closes: #799732)

 -- Andrew Ayer <agwa@andrewayer.name>  Tue, 22 Sep 2015 07:01:25 -0700

strip-nondeterminism (0.011-1) unstable; urgency=medium

  * New upstream release.
    - dh_strip_nondeterminism: use get_source_date_epoch() to get
      canonical time.

 -- Andrew Ayer <agwa@andrewayer.name>  Sat, 29 Aug 2015 12:26:20 -0700

strip-nondeterminism (0.010-1) unstable; urgency=medium

  * New upstream release.
    - Use same regex to detect javaproperties files in jars as in files
  * Add missing dependency on libtimedate-perl.  Thanks to Stéphane
    Glondu (Closes: #796366)

 -- Andrew Ayer <agwa@andrewayer.name>  Fri, 21 Aug 2015 13:25:50 -0700

strip-nondeterminism (0.009-1) unstable; urgency=medium

  * New upstream release.
    - Strip javadoc locale - browsers will do detection better.
    - Include name of file that caused error in error messages
    - zip: catch errors when reading archive, ignore zip64 files
      (Closes: #791574)

 -- Andrew Ayer <agwa@andrewayer.name>  Fri, 17 Jul 2015 09:45:14 -0700

strip-nondeterminism (0.008-1) unstable; urgency=medium

  * New upstream release.
    - gzip: don't set a canonical timestamp if file didn't already have
      a timestamp (Closes: #785742)

 -- Andrew Ayer <agwa@andrewayer.name>  Tue, 02 Jun 2015 10:26:17 -0700

strip-nondeterminism (0.007-1) unstable; urgency=medium

  [ Reiner Herrmann ]
  * Improve detection of pom.properties files

  [ Holger Levsen ]
  * Add myself to uploaders.

 -- Holger Levsen <holger@debian.org>  Sun, 24 May 2015 13:09:58 +0200

strip-nondeterminism (0.006-1) unstable; urgency=low

  * New upstream release.
    - Strip timestamp from Java version.properties files
    - two more javaproperties signatures
    - set timezone to UTC before normalizing to get reproducible timestamps
    - ar handler: preserve execute bit when normalizing permissions
    - Add test case for ar handler
    - Improve detection of timestamps in pom.properties files
    - Add a PNG handler (Closes: #777679)

 -- Andrew Ayer <agwa@andrewayer.name>  Sun, 22 Mar 2015 11:15:49 -0700

strip-nondeterminism (0.005-2) unstable; urgency=low

  * Team upload.
  * Add missing Build-Depend-Indep for Archive::Zip.
  * Bump Standards-Version, no changes required.
  * Switch maintainer to the reproducible-builds list.

 -- Jérémy Bobbio <lunar@debian.org>  Fri, 13 Feb 2015 20:27:38 +0100

strip-nondeterminism (0.005-1) unstable; urgency=low

  * New upstream release.
    - Revert "Replace generated times in files generated by docbook-to-man."
    - zip: preserve execute bit when normalizing permissions
    - jar: normalize pom.properties files inside JARs

 -- Andrew Ayer <agwa@andrewayer.name>  Fri, 06 Feb 2015 09:52:12 -0800

strip-nondeterminism (0.004-1) unstable; urgency=low

  * New upstream release.
    - Fix how ar handler deals with padding.
    - Treat .war and .hpi files as JAR files. (Closes: #765301)
    - Strip non-deterministic fields from MANIFEST.MF files inside JARs.
      (Closes: #765302)
    - Strip generation time from pom.properties.
    - Rewrite the first timestamp in a PE (.exe) file.
    - dh_strip_nondeterminism: replace timestamps with most recent
      debian/changelog date (Closes: #765299)
    - Normalize extended timestamp extra field in Zip archives.
      Thanks to Reiner Herrmann.
    - Normalize Unix permissions in Zip archives. (Closes: #765304)
    - Add support for pk3 and dz files. (Closes: #765305)
    - zip handler: also normalize local extra fields.
    - Ar files: ignore contents of padding bytes. (Closes: #775561)
    - Add support for Python Wheel packages (renamed Zip files)
      (Closes: #775594)
    - Use Zip handler also for .xpi files.
    - Strip _lastmodified times from PEAR registry files. (Closes: #776138)
    - Replace generated times in files generated by docbook-to-man.
      (Closes: #776140)
    - javadoc: normalize the <META NAME="date"> header.
      Thanks to Peter De Wachter. (Closes: #775870)
    - Work around bug in Archive::Zip that causes infinite loop.
      (Closes: #765298)

 -- Andrew Ayer <agwa@andrewayer.name>  Thu, 05 Feb 2015 13:45:17 -0800

strip-nondeterminism (0.003-1) unstable; urgency=low

  * New upstream release.
    - Fix detection of jar files as such.
    - Remove FIXME comment from ar handler.
  * Remove "unusual spacing" from debian/control.

 -- Andrew Ayer <agwa@andrewayer.name>  Sat, 27 Sep 2014 08:59:24 -0700

strip-nondeterminism (0.002-1) unstable; urgency=low

  * Initial release. (Closes: #760803)

 -- Andrew Ayer <agwa@andrewayer.name>  Thu, 18 Sep 2014 21:19:02 -0700
